Uploaded image for project: 'SR Platform'
  1. SR Platform
  2. SRPLAT-1119

Classes in scriptrunner-api/spi no longer consumable by dependent plugins

    Details

    • Type: Bug
    • Status: Done (View Workflow)
    • Priority: Major
    • Resolution: Done
    • Affects Version/s: 6.0.0
    • Fix Version/s: 6.0.1
    • Component/s: None
    • Labels:
      None
    • Sprint:
      DevTools 77
    • Critical Points:
      0.6

      Description

      Due to the splitting up of some classes into sub-modules, a breaking change was made where we no longer export some classes, e.g BuiltinScriptErrors which leads to compile problems in dependent plugins.

        Attachments

          Structure

            Activity

              People

              Assignee:
              rlander Reece Lander
              Reporter:
              rlander Reece Lander
              Votes:
              1 Vote for this issue
              Watchers:
              2 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Structure Helper Panel